Προς το περιεχόμενο

[INFO] Η δύναμη της Κονσόλας


Manos-Sx

Προτεινόμενες αναρτήσεις

Μετά από αρκετό καιρό ξαφνικών κολλημάτων στο laptop μου, δοκίμασα και σε ένα άλλο ίδιο laptop και κατέληξα ότι όλα τα acer 5920G έχουν πρόβλημα, όταν ζορίζονται παραζεσταίνονται (95 °C) και κολλάνε.

 

Να 'ναι καλά η κονσόλα, έγραψα το παρακάτω script και σώθηκα:

>
#!/bin/sh

# My laptop hangs on high temperatures. 
# This script is ran by cron every minute, and if the
# temperature is too high, it limits the maximum frequency.
# It restores the frequency when the temperature drops.
# /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor is
# supposed to be left at its default "ondemand" value.

# To find good numbers for the following values, run e.g.
# $ stress -c 8 -i 8 -m 8
# and select a MAX_TEMPERATURE that appears at least one
# minute before the laptop hangs (it hangs at 95° C for me).
# Then, reboot, limit scaling_max_freq to the desired value,
# and rerun `stress`. Select a MIN_TEMPERATURE below the
# maximum temperature that will appear (75° C for me).

# Limit cpu above this temperature
MAX_TEMPERATURE=85

# Restore cpu below this temperature
MIN_TEMPERATURE=70

limit_scaling_max_freq() {
   for cpu in /sys/devices/system/cpu/cpu*/cpufreq; do
       if [ "$1" = "true" ]; then
           read scaling_available_frequencies < $cpu/scaling_available_frequencies
           read cpuinfo_min_freq < $cpu/cpuinfo_min_freq

           # This is a bit hacky. $scaling_available_frequencies for me is:
           # 2201000 2200000 1600000 1200000 800000
           # so I want to select the third one. The following read makes it
           # so that it also works even if only two frequencies are availabe.
           read dummy1 dummy2 desired_scaling_max_freq dummy3 <<EOF
$scaling_available_frequencies $cpuinfo_min_freq $cpuinfo_min_freq
EOF
       else
           read desired_scaling_max_freq < $cpu/cpuinfo_max_freq
       fi
       read scaling_max_freq < $cpu/scaling_max_freq
       if [ $desired_scaling_max_freq -ne $scaling_max_freq ]; then
           echo "Setting $cpu/scaling_max_freq to $desired_scaling_max_freq" >&2
           echo $desired_scaling_max_freq > $cpu/scaling_max_freq
       fi
   done
}

# main()
read dummy1 temperature dummy2 < /proc/acpi/thermal_zone/THRM/temperature

if [ $temperature -ge $MAX_TEMPERATURE ]; then
   limit_scaling_max_freq true
elif [ $temperature -le $MIN_TEMPERATURE ]; then
   limit_scaling_max_freq false
fi

 

Απορία: όσοι έχετε laptop, αν τρέξετε

>
stress -c 8 -i 8 -m 8

για κανά δεκάλεπτο, τι θερμοκρασίες πιάνετε;

Συνδέστε για να σχολιάσετε
Κοινοποίηση σε άλλες σελίδες

  • Απαντ. 889
  • Δημ.
  • Τελ. απάντηση

Συχνή συμμετοχή στο θέμα

Δημοσ. (επεξεργασμένο)

Ένα βελτιωμένο script που χρησιμοποιώ για να κάνω sync το i686 repo του ArchLinux. Πατάει σε rsync.

 

http://paste.pocoo.org/show/253523/

>#!/bin/bash

Black='\e[0;30m'
Blue='\e[0;34m'
Green='\e[0;32m'
Cyan='\e[0;36m'
Red='\e[0;31m'
Purple='\e[0;35m'
Brown='\e[0;33m'
Light_Gray='\e[0;37m'
Dark_Gray='\e[1;30m'
Light_Blue='\e[1;34m'
Light_Green='\e[1;32m'
Light_Cyan='\e[1;36m'
Light_Red='\e[1;31m'
Light_Purple='\e[1;35m'
Yellow='\e[1;33m'
White='\e[1;37m'

Blink='\033[5m'
Bold='\033[1m'
Underline='\033[4m'

No_Color='\033[0m'

REPO="all"

SCRIPT_NAME=$(basename "$0")

# Array with the name ARGS wich holds the parameters passed
ARGS=($@)
# The number of parameters passed
NUM_ARGS=$#

# trap ctrl-c.
trap ctrl_c INT

function put_error() {
echo -e "\n${Light_Red}ERROR:${No_Color} $1\n"
}

function ctrl_c() { 

put_error "Sync process terminated by user."
rm -f "$SYNC_LOCK"

exit 1

}

function show_help() {

echo -e "\n${Light_Red}Ussage:${No_Color} $SCRIPT_NAME [OPTION]\n\nOptions:"
echo -e "--bwlimit=KBPS       limit I/O bandwidth; KBytes per second"
echo -e "--exclude=PATTERN    exclude files matching PATTERN"
echo -e "--repo=REPO          Sync only the given repo"
echo -e "--help               show this help"
echo -e "\nE.g. $SCRIPT_NAME (no options). Syncs everything, full bandwidth.\n     $SCRIPT_NAME --bwlimit 100. Syncs everything at 100 kbps."
echo -e "     $SCRIPT_NAME --exclude kde* lib* --bwlimit 150 --repo extra. Syncs at 150 kbps only the Extra repository, ignoring files starting with kde or lib.\n"

exit 0

}

#Checking if user running the script is root.
# Comment out the lines below.
#Start bellow
if [ `id -u` = 0 ]; then  
put_error "You are running this script as root. I didn't want so. \n       You have to comment out the code that implements the check (~ line 68)."
exit 1
fi
#Stop above


function is_number() {

if [ -n "$1" ]; then

	if [ $1 != 0 ]; then
		if [ $1 -eq $1 > /dev/null 2>&1 ]; then
			return 0
		fi
	fi
fi

return 1
}


function param_fetcher() {

#FLAG_X is used to avoid writing "--exclude PATERN" multiple times. Now we write "--exclude PATERN1 PATERN2 ... PATERNx".
FLAG_X="1"
for (( i=0; i<$NUM_ARGS; i++ )); do

case "${ARGS[i]}" in
	--repo)
		FLAG_X="1"
		if [ -n "${ARGS[i+1]}" ]; then
			REPO=${ARGS[i+1]}
			((i++))
		else 
			put_error "Repo must be a repository name. E.g. --repo extra, or --repo testing."
			echo -e "       For more options try $SCRIPT_NAME --help\n"
			exit 1
		fi
	;;
	--help)
		FLAG_X="1"
		show_help
	;;
	--bwlimit)
		FLAG_X="1"
		BAND_LIMIT=${ARGS[i+1]}
		if ( ! is_number $BAND_LIMIT ); then
			put_error "Bandwidth limit (--bwlimit) must be a number (kbytes) greater than zero (0). E.g. --bwlimit 150 means 150 kbytes"
			echo -e "       For more options try $SCRIPT_NAME --help\n"
			exit 1
		fi
		BAND_LIMIT="--bwlimit=$BAND_LIMIT"
		((i++))
	;;
	--exclude)
		FLAG_X="0"
	;;
	*)
	if [ $FLAG_X = "0" ]; then
		EXCLUDE="$EXCLUDE --exclude ${ARGS[i]}"
	elif [ $FLAG_X = "1" ]; then
		put_error "Unkown option. ${ARGS[i]}"
		echo -e "       For more options try $SCRIPT_NAME --help\n"
		exit 1
	fi
	;;
esac
done

}

# Filesystem locations for the sync operations
SYNC_HOME="/mnt/storage1/arch"
SYNC_LOGS="$SYNC_HOME/logs"
SYNC_EXTRA="$SYNC_HOME/extra/os/i686/"
SYNC_CORE="$SYNC_HOME/core/os/i686/"
SYNC_COMMUNITY="$SYNC_HOME/community/os/i686/"
SYNC_TESTING="$SYNC_HOME/testing/os/i686/"
SYNC_LOCK="/tmp/mirrorsync.lck"


# Set the rsync server to use

# SYNC_SERVER=rsync.archlinux.org::ftp
#SYNC_SERVER=rsync://distro.ibiblio.org/distros/archlinux
#SYNC_SERVER=rsync://m	exit 1irror.rit.edu/archlinux
#SYNC_SERVER=rsync://mirror.archlinux.fi/archlinux
#SYNC_SERVER=rsync://ftp.sh.cvut.cz/arch
#SYNC_SERVER=rsync://mirror.umoss.org/archlinux
#SYNC_SERVER=rsync://mir1.archlinuxfr.org/archlinux
#SYNC_SERVER=rsync://mirror.cs.vt.edu/archlinux
#SYNC_SERVER=rsync://ftp.hosteurope.de/archlinux
#SYNC_SERVER=rsync://archlinux.c3sl.ufpr.br/archlinux
#SYNC_SERVER=rsync://archlinux.giantix-server.de/archlinux

SYNC_SERVER=rsync://ftp.hosteurope.de/archlinux

# Set the format of the log file name
# This example will output something like this: pkgsync_20070201-8.log
LOG_FILE="pkgsync_$(date +%Y%m%d-%H).log"

#Feching the parameters
param_fetcher


if [ ! -d $SYNC_HOME ]; then
 put_error "$SYNC_HOME does not exist. Please create it and run this script again."
 exit 1
fi

# Do not edit the following lines, they protect the sync from running more than
# one instance at a time
if [ -f $SYNC_LOCK ]; then
 put_error "The sync failed. Check if $SCRIPT_NAME is already running.\n       If not you must manually remove the file $SYNC_LOCK"
 exit 1
fi

touch $SYNC_LOCK

# Create the log file and insert a timestamp
touch "$SYNC_LOGS/$LOG_FILE"

echo "=============================================" >> "$SYNC_LOGS/$LOG_FILE"
echo ">> Starting sync on $(date --rfc-3339=seconds)" >> "$SYNC_LOGS/$LOG_FILE"
echo -e ">> ---" >> "$SYNC_LOGS/$LOG_FILE"

if [ $REPO = "all" ] || [ $REPO = "extra" ]; then
echo -e "\n${Light_Cyan}############################################"
echo    "####                                    ####"
echo    "####   Synchronizing Extra repository   ####"
echo    "####                                    ####"
echo -e "############################################${No_Color}\n"

rsync -rptLv --partial --progress --delete-after --size-only --no-motd $EXCLUDE $BAND_LIMIT $SYNC_SERVER/extra/os/i686/ $SYNC_EXTRA
fi

if [ $REPO = "all" ] || [ $REPO = "core" ]; then
echo -e "\n${Light_Red}############################################"
echo    "####                                    ####"
echo    "####   Synchronizing Core repository    ####"
echo    "####                                    ####"
echo -e "############################################${No_Color}\n"

rsync -rptLv --partial --progress --delete-after --size-only --no-motd $EXCLUDE $BAND_LIMIT $SYNC_SERVER/core/os/i686/ $SYNC_CORE
fi

if [ $REPO = "all" ] || [ $REPO = "community" ]; then
echo -e "\n${Light_Green}############################################"
echo    "####                                    ####"
echo    "#### Synchronizing Community repository ####"
echo    "####                                    ####"
echo -e "############################################${No_Color}\n"

rsync -rptLv --partial --progress --delete-after --size-only --no-motd $EXCLUDE $BAND_LIMIT $SYNC_SERVER/community/os/i686/ $SYNC_COMMUNITY
fi

if [ $REPO = "all" ] || [ $REPO = "testing" ]; then
echo -e "\n${Cyan}############################################"
echo    "####                                    ####"
echo    "####  Synchronizing Testing repository  ####"
echo    "####                                    ####"
echo -e "############################################${No_Color}\n"

rsync -rptLv --partial --progress --delete-after --size-only --no-motd $EXCLUDE $BAND_LIMIT $SYNC_SERVER/testing/os/i686/ $SYNC_TESTING
fi


#Insert another timestamp and close the log file
echo ">> ---" >> "$SYNC_LOGS/$LOG_FILE"
echo ">> Finished sync on $(date --rfc-3339=seconds)" >> "$SYNC_LOGS/$LOG_FILE"
echo "=============================================" >> "$SYNC_LOGS/$LOG_FILE"
echo "" >> "$SYNC_LOGS/$LOG_FILE"

# Remove the lock file and exit
rm -f "$SYNC_LOCK"

exit 0

Επεξ/σία από firewalker
Συνδέστε για να σχολιάσετε
Κοινοποίηση σε άλλες σελίδες

Δημοσ. (επεξεργασμένο)

Ένα βελτιωμένο script που χρησιμοποιώ για να κάνω sync το i686 repo του ArchLinux. Πατάει σε rsync.

 

http://paste.pocoo.org/show/253523/

>#!/bin/bash

Black='\e[0;30m'
Blue='\e[0;34m'
Green='\e[0;32m'
Cyan='\e[0;36m'
Red='\e[0;31m'
Purple='\e[0;35m'
Brown='\e[0;33m'
Light_Gray='\e[0;37m'
Dark_Gray='\e[1;30m'
Light_Blue='\e[1;34m'
Light_Green='\e[1;32m'
Light_Cyan='\e[1;36m'
Light_Red='\e[1;31m'
Light_Purple='\e[1;35m'
Yellow='\e[1;33m'
White='\e[1;37m'

Blink='\033[5m'
Bold='\033[1m'
Underline='\033[4m'

No_Color='\033[0m'

REPO="all"

SCRIPT_NAME=$(basename "$0")

# Array with the name ARGS wich holds the parameters passed
ARGS=($@)
# The number of parameters passed
NUM_ARGS=$#

# trap ctrl-c.
trap ctrl_c INT

function put_error() {
echo -e "\n${Light_Red}ERROR:${No_Color} $1\n"
}

function ctrl_c() { 

put_error "Sync process terminated by user."
rm -f "$SYNC_LOCK"

exit 1

}

function show_help() {

echo -e "\n${Light_Red}Ussage:${No_Color} $SCRIPT_NAME [OPTION]\n\nOptions:"
echo -e "--bwlimit=KBPS       limit I/O bandwidth; KBytes per second"
echo -e "--exclude=PATTERN    exclude files matching PATTERN"
echo -e "--repo=REPO          Sync only the given repo"
echo -e "--help               show this help"
echo -e "\nE.g. $SCRIPT_NAME (no options). Syncs everything, full bandwidth.\n     $SCRIPT_NAME --bwlimit 100. Syncs everything at 100 kbps."
echo -e "     $SCRIPT_NAME --exclude kde* lib* --bwlimit 150 --repo extra. Syncs at 150 kbps only the Extra repository, ignoring files starting with kde or lib.\n"

exit 0

}

#Checking if user running the script is root.
# Comment out the lines below.
#Start bellow
if [ `id -u` = 0 ]; then  
put_error "You are running this script as root. I didn't want so. \n       You have to comment out the code that implements the check (~ line 68)."
exit 1
fi
#Stop above


function is_number() {

if [ -n "$1" ]; then

	if [ $1 != 0 ]; then
		if [ $1 -eq $1 > /dev/null 2>&1 ]; then
			return 0
		fi
	fi
fi

return 1
}


function param_fetcher() {

#FLAG_X is used to avoid writing "--exclude PATERN" multiple times. Now we write "--exclude PATERN1 PATERN2 ... PATERNx".
FLAG_X="1"
for (( i=0; i<$NUM_ARGS; i++ )); do

case "${ARGS[i]}" in
	--repo)
		FLAG_X="1"
		if [ -n "${ARGS[i+1]}" ]; then
			REPO=${ARGS[i+1]}
			((i++))
		else 
			put_error "Repo must be a repository name. E.g. --repo extra, or --repo testing."
			echo -e "       For more options try $SCRIPT_NAME --help\n"
			exit 1
		fi
	;;
	--help)
		FLAG_X="1"
		show_help
	;;
	--bwlimit)
		FLAG_X="1"
		BAND_LIMIT=${ARGS[i+1]}
		if ( ! is_number $BAND_LIMIT ); then
			put_error "Bandwidth limit (--bwlimit) must be a number (kbytes) greater than zero (0). E.g. --bwlimit 150 means 150 kbytes"
			echo -e "       For more options try $SCRIPT_NAME --help\n"
			exit 1
		fi
		BAND_LIMIT="--bwlimit=$BAND_LIMIT"
		((i++))
	;;
	--exclude)
		FLAG_X="0"
	;;
	*)
	if [ $FLAG_X = "0" ]; then
		EXCLUDE="$EXCLUDE --exclude ${ARGS[i]}"
	elif [ $FLAG_X = "1" ]; then
		put_error "Unkown option. ${ARGS[i]}"
		echo -e "       For more options try $SCRIPT_NAME --help\n"
		exit 1
	fi
	;;
esac
done

}

# Filesystem locations for the sync operations
SYNC_HOME="/mnt/storage1/arch"
SYNC_LOGS="$SYNC_HOME/logs"
SYNC_EXTRA="$SYNC_HOME/extra/os/i686/"
SYNC_CORE="$SYNC_HOME/core/os/i686/"
SYNC_COMMUNITY="$SYNC_HOME/community/os/i686/"
SYNC_TESTING="$SYNC_HOME/testing/os/i686/"
SYNC_LOCK="/tmp/mirrorsync.lck"


# Set the rsync server to use

# SYNC_SERVER=rsync.archlinux.org::ftp
#SYNC_SERVER=rsync://distro.ibiblio.org/distros/archlinux
#SYNC_SERVER=rsync://m	exit 1irror.rit.edu/archlinux
#SYNC_SERVER=rsync://mirror.archlinux.fi/archlinux
#SYNC_SERVER=rsync://ftp.sh.cvut.cz/arch
#SYNC_SERVER=rsync://mirror.umoss.org/archlinux
#SYNC_SERVER=rsync://mir1.archlinuxfr.org/archlinux
#SYNC_SERVER=rsync://mirror.cs.vt.edu/archlinux
#SYNC_SERVER=rsync://ftp.hosteurope.de/archlinux
#SYNC_SERVER=rsync://archlinux.c3sl.ufpr.br/archlinux
#SYNC_SERVER=rsync://archlinux.giantix-server.de/archlinux

SYNC_SERVER=rsync://ftp.hosteurope.de/archlinux

# Set the format of the log file name
# This example will output something like this: pkgsync_20070201-8.log
LOG_FILE="pkgsync_$(date +%Y%m%d-%H).log"

#Feching the parameters
param_fetcher


if [ ! -d $SYNC_HOME ]; then
 put_error "$SYNC_HOME does not exist. Please create it and run this script again."
 exit 1
fi

# Do not edit the following lines, they protect the sync from running more than
# one instance at a time
if [ -f $SYNC_LOCK ]; then
 put_error "The sync failed. Check if $SCRIPT_NAME is already running.\n       If not you must manually remove the file $SYNC_LOCK"
 exit 1
fi

touch $SYNC_LOCK

# Create the log file and insert a timestamp
touch "$SYNC_LOGS/$LOG_FILE"

echo "=============================================" >> "$SYNC_LOGS/$LOG_FILE"
echo ">> Starting sync on $(date --rfc-3339=seconds)" >> "$SYNC_LOGS/$LOG_FILE"
echo -e ">> ---" >> "$SYNC_LOGS/$LOG_FILE"

if [ $REPO = "all" ] || [ $REPO = "extra" ]; then
echo -e "\n${Light_Cyan}############################################"
echo    "####                                    ####"
echo    "####   Synchronizing Extra repository   ####"
echo    "####                                    ####"
echo -e "############################################${No_Color}\n"

rsync -rptLv --partial --progress --delete-after --size-only --no-motd $EXCLUDE $BAND_LIMIT $SYNC_SERVER/extra/os/i686/ $SYNC_EXTRA
fi

if [ $REPO = "all" ] || [ $REPO = "core" ]; then
echo -e "\n${Light_Red}############################################"
echo    "####                                    ####"
echo    "####   Synchronizing Core repository    ####"
echo    "####                                    ####"
echo -e "############################################${No_Color}\n"

rsync -rptLv --partial --progress --delete-after --size-only --no-motd $EXCLUDE $BAND_LIMIT $SYNC_SERVER/core/os/i686/ $SYNC_CORE
fi

if [ $REPO = "all" ] || [ $REPO = "community" ]; then
echo -e "\n${Light_Green}############################################"
echo    "####                                    ####"
echo    "#### Synchronizing Community repository ####"
echo    "####                                    ####"
echo -e "############################################${No_Color}\n"

rsync -rptLv --partial --progress --delete-after --size-only --no-motd $EXCLUDE $BAND_LIMIT $SYNC_SERVER/community/os/i686/ $SYNC_COMMUNITY
fi

if [ $REPO = "all" ] || [ $REPO = "testing" ]; then
echo -e "\n${Cyan}############################################"
echo    "####                                    ####"
echo    "####  Synchronizing Testing repository  ####"
echo    "####                                    ####"
echo -e "############################################${No_Color}\n"

rsync -rptLv --partial --progress --delete-after --size-only --no-motd $EXCLUDE $BAND_LIMIT $SYNC_SERVER/testing/os/i686/ $SYNC_TESTING
fi


#Insert another timestamp and close the log file
echo ">> ---" >> "$SYNC_LOGS/$LOG_FILE"
echo ">> Finished sync on $(date --rfc-3339=seconds)" >> "$SYNC_LOGS/$LOG_FILE"
echo "=============================================" >> "$SYNC_LOGS/$LOG_FILE"
echo "" >> "$SYNC_LOGS/$LOG_FILE"

# Remove the lock file and exit
rm -f "$SYNC_LOCK"

exit 0

Επεξ/σία από firewalker
Συνδέστε για να σχολιάσετε
Κοινοποίηση σε άλλες σελίδες

Μπορει να ακουγεται χαζο, αλλα... πως μπορω να δω το μεγεθος ενος αρχειου στο τερματικο. Πχ για τον τυπο του

 

>[b]$ file I_Loved_You_Piggy_by_aragon257.zip [/b]
I_Loved_You_Piggy_by_aragon257.zip: Zip archive data, at least v2.0 to extract

Συνδέστε για να σχολιάσετε
Κοινοποίηση σε άλλες σελίδες

Μπορει να ακουγεται χαζο, αλλα... πως μπορω να δω το μεγεθος ενος αρχειου στο τερματικο. Πχ για τον τυπο του

 

>[b]$ file I_Loved_You_Piggy_by_aragon257.zip [/b]
I_Loved_You_Piggy_by_aragon257.zip: Zip archive data, at least v2.0 to extract

Συνδέστε για να σχολιάσετε
Κοινοποίηση σε άλλες σελίδες

Εψαχνα για κατι που μπορω να απομνημονευσω ευκολα, πχ το du -h ή το ls -s...

 

>[b]$ du -h I_Loved_You_Piggy_by_aragon257.zip[/b] 
452K	I_Loved_You_Piggy_by_aragon257.zip

[b]$ ls -s I_Loved_You_Piggy_by_aragon257.zip [/b]
452 I_Loved_You_Piggy_by_aragon257.zip

Συνδέστε για να σχολιάσετε
Κοινοποίηση σε άλλες σελίδες

Εψαχνα για κατι που μπορω να απομνημονευσω ευκολα, πχ το du -h ή το ls -s...

 

>[b]$ du -h I_Loved_You_Piggy_by_aragon257.zip[/b] 
452K	I_Loved_You_Piggy_by_aragon257.zip

[b]$ ls -s I_Loved_You_Piggy_by_aragon257.zip [/b]
452 I_Loved_You_Piggy_by_aragon257.zip

Συνδέστε για να σχολιάσετε
Κοινοποίηση σε άλλες σελίδες

Η wc με την -l μετράει τους EOL χαρακτήρες σε ένα αρχείο (ή μια ακολουθία δεδομένων από το stdin). Τα bytes τα μετράει με την -c.

 

Στα συνηθέστερα filesystems ο όγκος των δεδομένων ενός αρχείου είναι λίγο μικρότερος από τον όγκο που καταλαμβάνει το αρχείο στο filesystem, αλλά η διαφορά είναι πρακτικά αμελητέα (μικρότερη από 1 filesystem block, το οποίο τυπικά δεν ξεπερνά τα 4096 bytes).

Συνδέστε για να σχολιάσετε
Κοινοποίηση σε άλλες σελίδες

Η wc με την -l μετράει τους EOL χαρακτήρες σε ένα αρχείο (ή μια ακολουθία δεδομένων από το stdin). Τα bytes τα μετράει με την -c.

 

Στα συνηθέστερα filesystems ο όγκος των δεδομένων ενός αρχείου είναι λίγο μικρότερος από τον όγκο που καταλαμβάνει το αρχείο στο filesystem, αλλά η διαφορά είναι πρακτικά αμελητέα (μικρότερη από 1 filesystem block, το οποίο τυπικά δεν ξεπερνά τα 4096 bytes).

Συνδέστε για να σχολιάσετε
Κοινοποίηση σε άλλες σελίδες

Δημοσ. (επεξεργασμένο)
Η wc με την -l μετράει τους EOL χαρακτήρες σε ένα αρχείο (ή μια ακολουθία δεδομένων από το stdin). Τα bytes τα μετράει με την -c.

Σωστά, μπερδεύτηκα επειδή χρησιμοποιώ περισσοτερο το wc -l

 

Στα συνηθέστερα filesystems ο όγκος των δεδομένων ενός αρχείου είναι λίγο μικρότερος από τον όγκο που καταλαμβάνει το αρχείο στο filesystem, αλλά η διαφορά είναι πρακτικά αμελητέα (μικρότερη από 1 filesystem block, το οποίο τυπικά δεν ξεπερνά τα 4096 bytes).

 

Ολοκληρωμένη απάντηση :-)

Επεξ/σία από kostitas
Συνδέστε για να σχολιάσετε
Κοινοποίηση σε άλλες σελίδες

Πως μπορω να παρω με wget κατι απο ενα git repo?

 

Συγκεκριμενα θελω τα παρακατω

 

http://git.kernel.org/?p=linux/kernel/git/dwmw2/linux-firmware.git;a=blob_plain;f=ar9170-1.fw;hb=master

 

http://git.kernel.org/?p=linux/kernel/git/dwmw2/linux-firmware.git;a=blob_plain;f=ar9170-2.fw;hb=master

Συνδέστε για να σχολιάσετε
Κοινοποίηση σε άλλες σελίδες

Δημιουργήστε ένα λογαριασμό ή συνδεθείτε για να σχολιάσετε

Πρέπει να είστε μέλος για να αφήσετε σχόλιο

Δημιουργία λογαριασμού

Εγγραφείτε με νέο λογαριασμό στην κοινότητα μας. Είναι πανεύκολο!

Δημιουργία νέου λογαριασμού

Σύνδεση

Έχετε ήδη λογαριασμό; Συνδεθείτε εδώ.

Συνδεθείτε τώρα

  • Δημιουργία νέου...